#
# spec file for package golang-googlecode-go-gb
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-googlecode-go-gb
Version:        0.0.0+hg20120330.557.9a8905a03f7e
Release:        1.1
License:	Apache-2.0
Summary:	Another tool to build go projects
Url:		http://code.google.com/p/go-gb/
Group:		Development/Languages/Other
Source0:	go-gb-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:	xz
Provides:	go-go-gb = %{version}
Obsoletes:	go-go-gb < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
Another tool to build go projects, both pure and cgo. Special emphasis on
multi-package projects with inter-dependencies.

%prep
%setup -q -n go-gb-%{version}

%build
%goprep code.google.com/p/go-gb
%gobuild gb

%install
%goinstall

%files
%defattr(-,root,root)
%doc README
%{_bindir}/gb

%changelog
* Mon Apr  4 2016 i@marguerite.su
- add xz buildrequires for SLE
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-googlecode-go-gb
- use golang-packaging for packaging
* Wed Aug 14 2013 speilicke@suse.com
- Update to version 0.0.0+hg20120330.557.9a8905a03f7e:
  + Upstream provides no changelog
- Add _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch}
* Fri Feb 24 2012 graham@andtech.eu
- Update for weekly.2012-02-22
* Thu Feb  9 2012 graham@andtech.eu
- update for weekly 2012-02-08
* Tue Dec 13 2011 saschpe@suse.de
- Removed workaround for bnc#735329, was fixed in the meantime
* Thu Dec  8 2011 saschpe@suse.de
- Removed outdated %%clean section, norootforbuild
- Set license to SDPX style (Apache-2.0)
* Wed Dec  7 2011 dmacvicar@suse.de
- first package
- Builds with go-weekly only
